<?php

declare(strict_types=1);

namespace Kylin\Education\Enums;

/**
 * 考试类型
 */
enum ExamType: string
{
    case FIXED = 'fixed';       // 固定组卷
    case RANDOM = 'random';     // 随机组卷

    public function label(): string
    {
        return match ($this) {
            self::FIXED => '固定组卷',
            self::RANDOM => '随机组卷',
        };
    }
}
